Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455108 - system-config-firewall crashes shortly after opening
Summary: system-config-firewall crashes shortly after opening
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-firewall
Version: 9
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-12 00:10 UTC by Greg Martyn
Modified: 2009-07-15 08:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-15 08:26:53 UTC


Attachments (Terms of Use)
scf.txt (deleted)
2008-07-12 19:27 UTC, Greg Martyn
no flags Details
gzipped output of "strace -f -o scf.txt system-config-firewall" without crash (deleted)
2008-07-12 19:41 UTC, Andre Robatino
no flags Details
gzipped output of "strace -f -o scf.txt system-config-firewall" without crash (deleted)
2008-07-12 19:44 UTC, Andre Robatino
no flags Details
/etc/sysconfig/system-config-firewall (deleted)
2008-07-14 14:03 UTC, Greg Martyn
no flags Details
YUM update log (deleted)
2008-07-17 19:16 UTC, Jeff Griffin
no flags Details

Description Greg Martyn 2008-07-12 00:10:39 UTC
Description of problem:
system-config-firewall crashes shortly after opening. I can see the normal
warning dialog, but then the program disappears.

Version-Release number of selected component (if applicable):


How reproducible:
always. it used to work though.

Steps to Reproduce:
1. as root, run system-config-firewall
2. see the window
3. 
  
Actual results:
the window disappears

Expected results:
i'd dismiss the warning dialog then use the program as usual

Additional info:
# echo $LANG
en_US.UTF-8

Comment 1 Andre Robatino 2008-07-12 04:36:54 UTC
It doesn't crash for me.  Are you running the latest version
system-config-firewall-1.2.10-1.fc9.noarch, and do you get any error messages if
you start it from the command line?

Comment 2 Greg Martyn 2008-07-12 05:00:16 UTC
system-config-firewall.noarch            1.2.10-1.fc9           installed

no error messages in the console..

Comment 3 Jeff Griffin 2008-07-12 19:06:16 UTC
I have the same problem here.. program just quits immediately after drawing the
main window and warning dialog. No error messages.

Comment 4 Andre Robatino 2008-07-12 19:16:31 UTC
How about running it from strace, as in

strace -f -o scf.txt system-config-firewall

to write the output to scf.txt.

Comment 5 Greg Martyn 2008-07-12 19:27:04 UTC
Created attachment 311649 [details]
scf.txt

it mentions a seg fault

Comment 6 Andre Robatino 2008-07-12 19:41:13 UTC
Created attachment 311650 [details]
gzipped output of "strace -f -o scf.txt system-config-firewall" without crash

For comparison here's the output when I run it and it doesn't crash.

Comment 7 Andre Robatino 2008-07-12 19:44:47 UTC
Created attachment 311651 [details]
gzipped output of "strace -f -o scf.txt system-config-firewall" without crash

For comparison, here's the output when I run it and it doesn't crash.  I
mistakenly labeled the previous attachment as type text/plain, even though it
was gzipped.

Comment 8 Thomas Woerner 2008-07-14 12:12:59 UTC
system-config-firewall-1.2.10 is working for me without any problems. Therefore
I need more information:

Is this a new installation or an update? Do you use s-c-fw for the first time?
Do you have a special network setup?

Please attach your firewall configuration file
/etc/sysconfig/system-config-firewall.

Comment 9 Greg Martyn 2008-07-14 14:02:01 UTC
New installation
Not the first time -- it used to work.
No special network -- just WPA wireless.


Comment 10 Greg Martyn 2008-07-14 14:03:05 UTC
Created attachment 311702 [details]
/etc/sysconfig/system-config-firewall

Comment 11 Jeff Griffin 2008-07-17 04:02:50 UTC
The latest updates to Fedora 9 on Jul 16 fixed this problem for me.

Comment 12 Thomas Woerner 2008-07-17 09:33:16 UTC
What have you updated on Jul 16?

Comment 13 Greg Martyn 2008-07-17 13:04:12 UTC
system-config-firewall still does not work on my system.

Comment 14 Jeff Griffin 2008-07-17 19:16:45 UTC
Created attachment 312076 [details]
YUM update log

Not much else changed on my system other than the updates, so I have a strong
feeling that something on here might have fixed it. Could SCIM have something
to do with it?

Comment 15 Thomas Woerner 2008-07-22 12:12:13 UTC
I can not reproduce your problem. Please start system-config-firewall as root in
a shell in this way:

gdb python
(gdb) run /usr/share/system-config-firewall/system-config-firewall.py

Please attach the debug output to this bugzilla.

Comment 16 Simon Rodan 2009-01-10 06:08:49 UTC
I am expereincing the same issue:

system-config-firewall.noarch          1.2.10-1.fc9

Launched from the command prompt, the dialog appears momentarily, as does the message box, and I get this in the terminal window:

(system-config-firewall.py:19591): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed
/usr/share/system-config-firewall/fw_gui.py:2149: Warning: g_error_free: assertion `error != NULL' failed
  result = dialog.run()

(system-config-firewall.py:19591): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed

(system-config-firewall.py:19591): GLib-GIO-WARNING **: (gfile.c:5249):IA__g_file_load_partial_contents_finish: runtime check failed: (g_simple_async_result_get_source_tag (simple) == g_file_load_contents_async)

When run from gdb (see comment #15 above), the program runs correctly.

Comment 17 Thomas Woerner 2009-03-17 14:18:03 UTC
This seems to be a gtk problem. Do you have a special theme or icon set?

Comment 18 Greg Martyn 2009-03-17 23:40:13 UTC
No; I use KDE

Comment 19 Fedora Update System 2009-06-03 12:37:32 UTC
system-config-firewall-1.2.16-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/system-config-firewall-1.2.16-3.fc9

Comment 20 Fedora Update System 2009-06-04 21:20:29 UTC
system-config-firewall-1.2.16-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update system-config-firewall'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-5926

Comment 21 Bug Zapper 2009-06-10 02:03:17 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 22 Bug Zapper 2009-07-15 08:26:53 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.